%define name gwenview
%define version 1.3.0
%define release alt1

%def_disable devel

Name: %name
Version: %version
Release: %release
Source0: %name-%version.tar.bz2
Source2: cursors.tar.bz2

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Group: Graphics
Summary: Simple image viewer for KDE.
License: GPL
URL: http://gwenview.sourceforge.net
Requires: lib%name = %version-%release kipi-plugins

BuildRequires: xorg-x11-devel fontconfig freetype2 gcc-c++ kdelibs-devel 
BuildRequires: libarts-devel libjpeg-devel libkipi-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel qt3-designer xml-utils
BuildRequires: zlib-devel libexif-devel pkgconfig doxygen qt3-doc
BuildRequires: libmng-devel

%description
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide easy
navigation in your file hierarchy.  Image loading is done by the Qt library,
so it supports all image formats your Qt installation supports.

%package -n lib%name
Summary: Library associated with %name
Group: System/Libraries

%description -n lib%name
This package contains shared libraries used by %name

%if_enabled devel
%package -n lib%name-devel
Summary: Development files for %name
Group: Development/KDE and QT
Requires: lib%name = %version-%release

%description -n lib%name-devel
devel
%endif

%prep
%setup -q

%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
%__subst "s/\.la/.so/g" admin/acinclude.m4.in
%make -f admin/Makefile.common cvs ||:

%build
%__subst 's,\.la,.so,' configure
%configure \
        --disable-rpath \
	--enable-kipi
%make

%install
%make DESTDIR=%buildroot install

%__mkdir_p %buildroot/%_datadir/applnk/Applications
%__cp %buildroot%_datadir/applications/kde/%name.desktop %buildroot%_datadir/applnk/Applications/%name.desktop

%__rm -fr %buildroot%_iconsdir/*/scalable

#menu
%__mkdir_p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name "Multimedia/Graphics" \
    %buildroot%_datadir/applnk/Applications/%name.desktop \
    %buildroot%_menudir/%name

%__tar -xjf %SOURCE2 -C %buildroot%_datadir/apps/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p /sbin/ldconfig

%postun -n lib%name -p /sbin/ldconfig

%files -f %name.lang
%doc NEWS README TODO ChangeLog COPYING
%_bindir/%name
%_libdir/kde3/*.so
%_menudir/*
%_datadir/apps/konqueror/servicemenus/*
%_datadir/apps/%name
%_datadir/apps/gvdirpart
%_datadir/apps/gvimagepart
%_datadir/apps/kconf_update/%{name}*
%_datadir/applications/kde/%name.desktop
%_datadir/services/*.desktop
%_datadir/config.kcfg/gvconfig.kcfg
%_iconsdir/*/*/apps/*.png
%_datadir/applnk/Applications/%name.desktop
%_man1dir/*
%_docdir/HTML/*/%name

%files -n lib%name
%_libdir/lib%{name}core.so.*
%_libdir/libkdeinit_gwenview.so

%if_enabled devel
%files -n lib%name-devel
%_libdir/lib%{name}core.so
%_includedir/*.h
%endif

%changelog
* Mon Sep 12 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.3.0-alt1
- 1.3.0

* Mon Aug 22 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.92-alt1
- 1.2.92

* Sun Jul 17 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.91-alt1
- 1.2.91

* Sun Jul 17 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt3
- fixed BuildRequires

* Mon Apr 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt2
- 1.2.0

* Sun Mar 20 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt1.pre4
- 1.2.0pre4

* Sun Feb 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt1.pre3
- 1.2.0pre3

* Mon Feb 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt1.pre2
- 1.2.0pre2

* Mon Jan 24 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt1.pre1
- 1.2.0pre1

* Tue Jan 11 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.1.8-alt1
- 1.1.8

* Mon Dec 20 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Fri Oct 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Sat Sep 25 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.5-alt2
- update drag cursors

* Tue Sep 21 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Wed Aug 25 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.4-alt1
- 1.1.4 

* Sat Mar 13 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt1
- initial release
